Subject: [rtcweb] [Errata Held for Document Update] RFC8832 (6411)

From: RFC Errata System <[email-masked]>
Date: Tue, 7 Nov 2023 02:26:00 -0800 (PST)

The following errata report has been held for document update 
for RFC8832, "WebRTC Data Channel Establishment Protocol". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6411

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Victor Boivie <[email-masked]>
Date Reported: 2021-01-25
Held by: Francesca Palombini (IESG)

Section: 5

Original Text
-------------
5.  Message Formats

   Every Data Channel Establishment Protocol message starts with a one
   byte field called "Message Type" which indicates the type of the
   message.  The corresponding values are managed by IANA (see
   Section 8.2.1).

Corrected Text
--------------
5.  Message Formats

   Every Data Channel Establishment Protocol message starts with a one
   byte field called "Message Type" which indicates the type of the
   message.  The corresponding values are managed by IANA (see
   Section 8.2.1).

   All integer fields in an Data Channel Establishment Protocol message
   MUST be transmitted in network byte order, unless otherwise stated.

Notes
-----
Submitter's note: The byte order of integer fields in the protocol messages is not defined.
---
Verifier's note: the byte order in the protocol messages is defined, since Data Channel Establishment Protocol depends on SCTP, which requires Network Byte Order (RFC 4960, Section 3). However, since this could be considered an omission that might have been corrected if it had been caught at the time of publication, I am marking it "Hold for document update".

--------------------------------------
RFC8832 (draft-ietf-rtcweb-data-protocol-09)
--------------------------------------
Title               : WebRTC Data Channel Establishment Protocol
Publication Date    : January 2021
Author(s)           : R. Jesup, S. Loreto, M. Tüxen
Category            : PROPOSED STANDARD
Source              : Real-Time Communication in WEB-browsers
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG